#pragma once
#include "windows.h"
#include "stdafx.h"
#include "FileCore.h"
#include "CharConvert.h"
#include "KeyVar.h"
#include <time.h>
class LogIni
{
public:
	//读写Log日志文件的开关：测试走查时，可以设置为true，方便查找问题；正式上线或最后一轮测试时，一定要设置为false;
	//log日志内容，有包含重要的静默安装指令内容，不能让用户或其他竞品所了解到，所以上线后一定要设置为false。
	static bool m_IsWRLog;
public:
	//写入ini内容
	static DWORD WriteIntToini(LPCSTR lpAppNam, LPCSTR lpKeyName, INT nDefault, LPCSTR lpFileName);
	//读取ini内容
	static DWORD ReadIntFromini(LPCSTR lpAppNam, LPCSTR lpKeyName, INT nDefault, LPCSTR lpFileName);
	//写入一个键值对到ini文件
	static void GetLogToIni(string contentType, wstring cmdContent);
	//写入多个键值对到ini文件
	static void GetLogToIniMaps(std::map<wstring, wstring> maps);
};

